package asm

import "maps"

// Assembler contains a list of instructions.
type Assembler struct {
	Data         map[string][]byte
	Instructions []Instruction
}

// Merge combines the contents of this assembler with another one.
func (a *Assembler) Merge(b Assembler) {
	maps.Copy(a.Data, b.Data)
	a.Instructions = append(a.Instructions, b.Instructions...)
}
