package ast

import (
	"fmt"

	"git.akyoto.dev/cli/q/src/build/expression"
	"git.akyoto.dev/cli/q/src/build/token"
)

// Assign represents an assignment to an existing variable or memory location.
type Assign struct {
	Value    *expression.Expression
	Name     token.Token
	Operator token.Token
}

func (node *Assign) String() string {
	return fmt.Sprintf("(= %s %s)", node.Name.Text(), node.Value)
}
